﻿using Syncfusion.DataSource;
using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using Syncfusion.ListView.XForms.Control.Helpers;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public class Behavior : Behavior<SfListView>
    {
        SfListView ListView;
        protected override void OnAttachedTo(SfListView bindable)
        {
            ListView = bindable;
            ListView.SelectionChanged += ListView_SelectionChanged;
            ListView.DataSource.SortDescriptors.Add(new Syncfusion.DataSource.SortDescriptor()
            {
                PropertyName= "IsSelected",
                Direction=Syncfusion.DataSource.ListSortDirection.Descending,
            });
            base.OnAttachedTo(bindable);
        }

        private void ListView_SelectionChanged(object sender, ItemSelectionChangedEventArgs e)
        {
            for (int i = 0; i <= e.AddedItems.Count() - 1; i++)
            {
                if ((e.AddedItems[i] as Contacts).IsSelected == false)
                {
                    (e.AddedItems[i] as Contacts).IsSelected = true;
                }
                else
                {
                    (e.AddedItems[i] as Contacts).IsSelected = false;
                }
            }
        }
    }

}
